import { newE2EPage } from "@stencil/core/testing";
import { AxePuppeteer } from "axe-puppeteer";
import { Page } from "puppeteer";

describe('standalone link', () => {
  it('standalone link passes axe a11y tests', async () => {
    const page = await newE2EPage();
    await page.setContent('<hy-standalone-link href=\'#\'>Hello</hy-standalone-link>');

    const results = await new AxePuppeteer((page as any) as Page)
          .include("hy-standalone-link")
          .analyze();
    expect(results.violations).toHaveLength(0);
    await page.close();
  });
});
